Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008792TestLinkReq Overviewpublic2019-11-01 17:262020-01-01 15:40
Reporterheju 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Fixed in Version1.9.20 
Summary0008792: Tl 1.9.20 (dev) >> Requirement overview >> Custom field content displayed in wrong column
DescriptionDear TestLink team,

I noticed, that in the dev version (git: ca116be30ee2c664b78712b0b064f0ad034cd293) the custom field content is displayed in the wrong column of the requirements overview in case custom field(s) "before" have no content.

Example: There are 3 custom fields for requirements.
- In case for a requirement all three are populated with content, in the overview the content of each field is displayed in the correct column.
- In case the first custom field is empty for a requirement, but the other two have content, their content is displayed in the comumns of custom field 1 and 2, instead 2 and 3.

This prevents using the col sorting in a meaningful way as the content of different custom fields gets mixed up.

I will attach a screenshot to clarify.


Thank you for reading!
Steps To Reproduce- Create and assign more than one custom field (string e.g.) for requirements to your project.
- In a requirement, leave the custom field 1 empty, fill some content to the second.
- go to requirements overview and check in which columns the custom field content appears
TagsNo tags attached.
Database (MySQL,Postgres,etc)mysql
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filesjpg file icon tl_cfield_issue.jpg [^] (294,247 bytes) 2019-11-01 17:26
png file icon tl_req_disp_fix.png [^] (55,639 bytes) 2019-12-27 09:28

- Relationships
child of 0008549closedfman Availables hot-fixes for 1.9.19 & How To get full fixed package from GitHub 

-  Notes
(0029333)
heju (reporter)
2019-12-27 09:25
edited on: 2019-12-27 09:30

Had a look at the issue again,
the following patch demonstrates a way to get the content assigned to the correct column:
https://github.com/TestLinkOpenSourceTRMS/testlink-code/pull/233 [^]

[edit: added screenshot showing effect of patch: http://mantis.testlink.org/file_download.php?file_id=5266&type=bug [^]]

Mantis-8792: append one item to $result for every displayed cfield column, in case there is no content for this cfield for this req, append empty string. This way the the cfield content gets assigned to correct column even if other cfields for this req have no content.

Additional: fix typo in date display: $labels['week_short'], before $label['week_short'] ($label is not defined)

(0029338)
fman (administrator)
2019-12-28 07:45

Thanks for your contribution, I'm going to check and see how to add to stable code

regards

- Issue History
Date Modified Username Field Change
2019-11-01 17:26 heju New Issue
2019-11-01 17:26 heju File Added: tl_cfield_issue.jpg
2019-12-27 09:25 heju Note Added: 0029333
2019-12-27 09:28 heju File Added: tl_req_disp_fix.png
2019-12-27 09:30 heju Note Edited: 0029333 View Revisions
2019-12-28 07:45 fman Note Added: 0029338
2020-01-01 15:40 fman QA Team - Task Workflow Status => READY FOR TESTING
2020-01-01 15:40 fman Status new => resolved
2020-01-01 15:40 fman Fixed in Version => 1.9.20
2020-01-01 15:40 fman Resolution open => fixed
2020-01-01 15:40 fman Assigned To => fman
2020-01-01 15:40 fman Relationship added child of 0008549



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker